Retrieve time series data for systems in a fleet in NetApp Console local deployment
POST /organizations/{organization_id}/fleets/{fleet_id}/timeseries
Retrieve time series data for systems in a fleet.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organization_id |
string |
path |
True |
Identifier for an organization. |
fleet_id |
string |
path |
True |
Identifier for a fleet. |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
singleMetric |
True |
Configuration for a query against a single metric. |
|
timeRange |
False |
Time range for a query window. If omitted from the request body, an instant query is performed at the evaluation time. If provided in the request body, a range query is performed. Values can be absolute or relative to the evaluation time. |
Example request
{
"singleMetric": {
"metric": "iops_total",
"rollup": {
"function": "AVG_OVER_TIME",
"window": "PT10M"
}
},
"timeRange": {
"end": "NOW",
"start": "PT2H",
"step": "PT10M"
}
}
Response
Status: 200, OK
| Name | Type | Required | Description |
|---|---|---|---|
items |
array[items] |
False |
Time series matching the query. |
Example response
{
"items": [
{
"labels": {
"cluster": "cluster-01",
"svm": "svm-prod-1"
},
"points": [
{
"timestamp": "2026-01-26T20:58:16.305662Z",
"value": 10.5
}
]
},
{
"labels": {
"cluster": "cluster-01",
"svm": "svm-prod-2"
},
"points": [
{
"timestamp": "2026-01-26T20:58:16.305662Z",
"value": 8.3
}
]
}
]
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Definitions
See Definitions
filters
| Name | Type | Required | Description |
|---|---|---|---|
label |
string |
True |
Label key to filter on. |
operator |
string |
True |
Filter operator. |
values |
array[string] |
True |
Label values to compare against.
Multiple values are only supported for |
forecast
Configuration for forecasting values using linear interpolation.
| Name | Type | Required | Description |
|---|---|---|---|
horizon |
string |
True |
ISO 8601 duration into the future (e.g. "PT60S") relative to the evaluation time. The maximum allowed horizon is 30 days. |
lookbackWindow |
string |
True |
ISO 8601 duration lookbehind window (e.g. "PT5M") used over raw samples for linear interpolation. |
step |
string |
False |
Interval between forecasted data points in ISO 8601 duration format. If omitted, only a single forecasted value is generated at the end of the forecast horizon. When provided, a forecasted value is generated at every interval between the evaluation time (exclusive) and the end of the forecast horizon (inclusive). When step is provided, the maximum allowed forecast horizon will be determined by how much data is available within the lookback window. The limits are:
|
rollup
Per-series rollup function evaluated over a sliding window at each query step,
before any outer aggregation or sort is applied.
| Name | Type | Required | Description |
|---|---|---|---|
function |
string |
True |
Rollup function to apply to each series over the lookback window. Defined values are:
|
window |
string |
True |
ISO 8601 duration lookback window evaluated at each query step. Must be greater than zero. |
sort
Sort series based on average value and limit the number of returned series. This is used for retrieving the top or bottom N series for a given metric.
| Name | Type | Required | Description |
|---|---|---|---|
limit |
integer |
True |
Maximum number of series to return. |
order |
string |
True |
Sort order. Defined values are:
|
valueFilter
Numeric value filter applied to each sample before the aggregation function is evaluated.
| Name | Type | Required | Description |
|---|---|---|---|
operator |
string |
True |
Comparison operator applied to each sample value against the threshold. Defined values are:
|
threshold |
number |
True |
The numeric constant to compare each sample value against. |
singleMetric
Configuration for a query against a single metric.
| Name | Type | Required | Description |
|---|---|---|---|
aggregation |
string |
False |
Aggregation function applied to the series. |
filters |
array[filters] |
False |
Label filters applied before aggregation. |
forecast |
False |
Configuration for forecasting values using linear interpolation. |
|
groupBy |
array[string] |
False |
Label keys to group series by. |
metric |
string |
True |
Metric name to query. |
rollup |
False |
Per-series rollup function evaluated over a sliding window at each query step,
before any outer |
|
sort |
False |
Sort series based on average value and limit the number of returned series. This is used for retrieving the top or bottom N series for a given metric. |
|
valueFilter |
False |
Numeric value filter applied to each sample before the aggregation function is evaluated. |
asset_1.0_time_range
Time range for a query window. If omitted from the request body, an instant query is performed at the evaluation time. If provided in the request body, a range query is performed. Values can be absolute or relative to the evaluation time.
| Name | Type | Required | Description |
|---|---|---|---|
end |
string |
False |
End of the query window. The value can be:
|
start |
string |
True |
Start of the query window. The value can be:
|
step |
string |
False |
ISO 8601 duration step between data points for range queries (e.g. "PT60S"). Ignored for instant queries. |
labels
Label set identifying this series.
Hash mapping strings to string
points
| Name | Type | Required | Description |
|---|---|---|---|
timestamp |
string |
True |
RFC 3339 timestamp of the data point. |
value |
number |
True |
Numeric value at the specified timestamp. |
items
| Name | Type | Required | Description |
|---|---|---|---|
labels |
True |
Label set identifying this series. |
|
points |
array[points] |
True |
Ordered list of data points. Range queries return multiple points; instant queries return exactly one point per series. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |